aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Holly Cummins (JIRA)" <>
Subject [jira] Created: (ARIES-217) Relax OSGI frameworks in org.apache.aries.application bundles
Date Fri, 05 Mar 2010 15:40:27 GMT
Relax OSGI frameworks in org.apache.aries.application bundles

                 Key: ARIES-217
             Project: Aries
          Issue Type: Improvement
          Components: Application
    Affects Versions: Incubation
            Reporter: Holly Cummins
            Priority: Minor
         Attachments: versionpatch.txt

The org.apache.aries.application.api and org.apache.aries.application.utils bundles import
the org.osgi.framework package at the project default, which is [1.5, 2.0). This limits the
ability to re-use these very useful bundles in environments which don't have the 1.5 level
of org.osgi.framework. 

A patch is attached which relaxes the version requiremements for these two bundles.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message